Bug 1401334 - Review Request: python-utils - Python Utils is a module with some convenient utilities
Summary: Review Request: python-utils - Python Utils is a module with some convenient ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1401335
TreeView+ depends on / blocked
 
Reported: 2016-12-04 21:34 UTC by Miro Hrončok
Modified: 2017-01-11 07:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-11 07:22:49 UTC
randy: fedora-review+


Attachments (Terms of Use)

Description Miro Hrončok 2016-12-04 21:34:40 UTC
Spec URL: https://churchyard.fedorapeople.org/SRPMS/python-utils.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/python-utils-2.0.0-1.fc25.src.rpm

Description:

Python Utils is a collection of small Python functions and classes which
make common patterns shorter and easier. This module makes it easy to
execute common tasks in Python scripts such as converting text to numbers
and making sure a string is in unicode or bytes format.

Fedora Account System Username: churchyard

Comment 1 Randy Barlow 2016-12-09 21:56:23 UTC
Please correct me if I am mistaken, but the upstream project does not seem to have any license granted in it. If there is no license, Fedora cannot distribute the package.

If I am incorrect, please feel free to show me the license. In the meantime, I recommend writing upstream to ask them to put a license file in the repository.

Comment 2 Miro Hrončok 2016-12-10 16:26:18 UTC
The setup.py contains this information:

    license='BSD',
    classifiers=['License :: OSI Approved :: BSD License'],

I will talk to upstream to include the license text, but i would say it's not a blocker.

Comment 3 Miro Hrončok 2016-12-10 16:27:59 UTC
https://github.com/WoLpH/python-utils/issues/1

Comment 4 Miro Hrončok 2016-12-10 18:00:43 UTC
Fixed: https://github.com/WoLpH/python-utils/blob/develop/LICENSE

Comment 5 Igor Gnatenko 2016-12-10 22:37:06 UTC
Randy, fedora-review- is for packages which can't be fixed.

Comment 6 Randy Barlow 2016-12-12 16:53:59 UTC
Thanks Miro, upstream responded quickly! Also I hadn't noticed the BSD in the setup.py. Since that is there, I think we can proceed and you can add the license file whenever upstream makes a release with it.

Igor, I had thought it was a bit of a permanent failure since we needed upstream to do something, but it turned out I was wrong!

Comment 7 Randy Barlow 2016-12-12 17:05:33 UTC
Miro, it looks like upstream made a 2.0.1 release that has the license file. You might want to package that one instead.

Comment 8 Randy Barlow 2016-12-12 17:10:10 UTC
I'm going to go ahead and pass your current package. I recommend updating to 2.0.1 and including that license file, but I don't believe that is required to pass the review since the setup.py does state that the package is BSD.

Very clean spec file, nice work!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
     randy: Upstream now has a license file that should be included in the
            next release.
[x]: License field in the package spec file matches the actual license.
     Note: Cannot run licensecheck: Command 'licensecheck -r /var/lib/mock
     /fedora-rawhide-x86_64/root/builddir/build/BUILD/python-utils-2.0.0'
     returned non-zero exit status 255
     randy: The license is expressed only in the setup.py as "BSD".
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 921600 bytes in 39 files.
     randy: It's clooooose to 1 MB, but I think it's OK ☺
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
     randy: Miro got upstream to do this, so it's OK.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
     randy: There is a 2.0.1 that has the license file. It would be good
     to go ahead and package that one.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-utils-2.0.0-1.fc26.noarch.rpm
          python-utils-2.0.0-1.fc26.src.rpm
python3-utils.noarch: W: spelling-error %description -l en_US unicode -> Unicode, uni code, uni-code
python3-utils.noarch: E: zero-length /usr/lib/python3.5/site-packages/python_utils/compat.py
python-utils.src: W: spelling-error %description -l en_US unicode -> Unicode, uni code, uni-code
2 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python3-utils.noarch: W: spelling-error %description -l en_US unicode -> Unicode, uni code, uni-code
python3-utils.noarch: E: zero-length /usr/lib/python3.5/site-packages/python_utils/compat.py
1 packages and 0 specfiles checked; 1 errors, 1 warnings.



Requires
--------
python3-utils (rpmlib, GLIBC filtered):
    python(abi)
    python3-six



Provides
--------
python3-utils:
    python3-utils
    python3.5dist(python-utils)
    python3dist(python-utils)



Source checksums
----------------
https://github.com/WoLpH/python-utils/archive/v2.0.0.tar.gz#/python-utils-2.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : e14822f414d474c88d3a75b5e0b48f4f1f2403e2879b7fd8df648a1a4358dd98
  CHECKSUM(SHA256) upstream package : e14822f414d474c88d3a75b5e0b48f4f1f2403e2879b7fd8df648a1a4358dd98


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1401334
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 9 Miro Hrončok 2016-12-19 13:52:30 UTC
Thank you for the review. I'll build updated version once the package is added to pkgdb.

Comment 10 Gwyn Ciesla 2016-12-19 14:02:30 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-utils

Comment 11 Fedora Update System 2016-12-30 15:21:26 UTC
python-utils-2.0.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ed61d2c137

Comment 12 Fedora Update System 2016-12-31 09:27:48 UTC
python-utils-2.0.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ed61d2c137

Comment 13 Fedora Update System 2017-01-11 07:22:49 UTC
python-utils-2.0.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.